WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | Protected Member Functions | List of all members
winstd::event_rec Class Reference
Event Tracing for Windows API

EVENT_RECORD wrapper. More...

`#include <ETW.h>`

Inheritance diagram for winstd::event_rec:

## Public Member Functions
| event_rec ()
| Constructs a blank event record.
| event_rec (_In_ const event_rec &other)
| Copies an existing event record. More...
| event_rec (_In_ const EVENT_RECORD &other)
| Copies an existing event record. More...
| event_rec (_Inout_ event_rec &&other) noexcept
| Moves the event record. More...
| ~event_rec ()
| Destroys event record data and frees the allocated memory.
event_rec & | operator= (_In_ const event_rec &other)
| Copies an existing event record. More...
event_rec & | operator= (_In_ const EVENT_RECORD &other)
| Copies an existing event record. More...
event_rec & | operator= (_Inout_ event_rec &&other) noexcept
| Moves the event record. More...
void | set_extended_data (_In_ USHORT count, _In_count_(count) const EVENT_HEADER_EXTENDED_DATA_ITEM *data)
| Sets event record extended data. More...
void | set_user_data (_In_ USHORT size, _In_bytecount_(size) LPCVOID data)
| Sets event record user data. More...

## Protected Member Functions
void | set_extended_data_internal (_In_ USHORT count, _In_count_(count) const EVENT_HEADER_EXTENDED_DATA_ITEM *data)
| Sets event record extended data. More...
void | set_user_data_internal (_In_ USHORT size, _In_bytecount_(size) LPCVOID data)
| Sets event record user data. More...

## Detailed Description

EVENT_RECORD wrapper.

## Constructor & Destructor Documentation

## ◆ event_rec() [1/3]

winstd::event_rec::event_rec | ( | _In_ const event_rec & | other | ) |
| inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## ◆ event_rec() [2/3]

winstd::event_rec::event_rec | ( | _In_ const EVENT_RECORD & | other | ) |
| inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## ◆ event_rec() [3/3]

winstd::event_rec::event_rec | ( | _Inout_ event_rec && | other | ) |
| inline noexcept

Moves the event record.

Parameters

  [in] | other | Event record to move

## Member Function Documentation

## ◆ operator=() [1/3]

event_rec & winstd::event_rec::operator= | ( | _In_ const event_rec & | other | ) |
| inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## ◆ operator=() [2/3]

event_rec & winstd::event_rec::operator= | ( | _In_ const EVENT_RECORD & | other | ) |
| inline

Copies an existing event record.

Parameters

  [in] | other | Event record to copy from

## ◆ operator=() [3/3]

event_rec & winstd::event_rec::operator= | ( | _Inout_ event_rec && | other | ) |
| inline noexcept

Moves the event record.

Parameters

  [in] | other | Event record to move

## ◆ set_extended_data()

void winstd::event_rec::set_extended_data | ( | _In_ USHORT | count,
|  | _In_count_(count) const EVENT_HEADER_EXTENDED_DATA_ITEM * | data
| ) |  |
| inline

Sets event record extended data.

Parameters

  [in] | count | `data` size (in number of elements)
  [in] | data | Record extended data

## ◆ set_extended_data_internal()

void winstd::event_rec::set_extended_data_internal | ( | _In_ USHORT | count,
|  | _In_count_(count) const EVENT_HEADER_EXTENDED_DATA_ITEM * | data
| ) |  |
| inline protected

Sets event record extended data.

Parameters

  [in] | count | `data` size (in number of elements)
  [in] | data | Record extended data

## ◆ set_user_data()

void winstd::event_rec::set_user_data | ( | _In_ USHORT | size,
|  | _In_bytecount_(size) LPCVOID | data
| ) |  |
| inline

Sets event record user data.

Parameters

  [in] | size | `data` size (in bytes)
  [in] | data | Record user data

## ◆ set_user_data_internal()

void winstd::event_rec::set_user_data_internal | ( | _In_ USHORT | size,
|  | _In_bytecount_(size) LPCVOID | data
| ) |  |
| inline protected

Sets event record user data.

Parameters

  [in] | size | `data` size (in bytes)
  [in] | data | Record user data

The documentation for this class was generated from the following file:

- include/WinStd/ETW.h